aboutsummaryrefslogtreecommitdiff
path: root/test/common-utils/fedora.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/common-utils/fedora.sh')
-rwxr-xr-xtest/common-utils/fedora.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test/common-utils/fedora.sh b/test/common-utils/fedora.sh
new file mode 100755
index 0000000..b32a7f1
--- /dev/null
+++ b/test/common-utils/fedora.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+. /etc/os-release
+check "non-root user" test "$(whoami)" = "devcontainer"
+check "distro" test "${ID}" = "fedora"
+
+# Report result
+reportResults \ No newline at end of file